Author Topic: CWP Update Problem (Postfix)  (Read 1070 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
CWP Update Problem (Postfix)
« on: February 20, 2020, 07:08:53 PM »
Hello;

I get the following error in the update.

what should I do?

 sh /scripts/update_cwp


====================================================
============= CentOS Web Panel Cron ================
====================================================


###########################
Firewall Flush Daily Blocks
###########################


######################
Update Server Packages
######################
Redirecting to /bin/systemctl restart cwpsrv.service
Redirecting to /bin/systemctl restart httpd.service
Redirecting to /bin/systemctl reload httpd.service
warning: /var/tmp/rpm-tmp.YiJ2ua: BaşlıkV4 DSA/SHA1 Signature, key ID 12a13bd4: NOKEY
error: Failed dependencies:
   postfix = 2:2.10.1-7.el7 is needed by (installed) postfix-perl-scripts-2:2.10.1-7.el7.x86_64

or

# yum update

---> Package postfix.x86_64 2:2.10.1-7.el7 will be gŁncellendi
--> Processing Dependency: postfix = 2:2.10.1-7.el7 for package: 2:postfix-perl-scripts-2.10.1-7.el7.x86_64
---> Package postfix.x86_64 2:3.4.7-1.el7 will be an update
--> Finished Dependency Resolution
error: Packet: 2:postfix-perl-scripts-2.10.1-7.el7.x86_64 (@base)
          Requirements: postfix = 2:2.10.1-7.el7
          Uninstalling: 2:postfix-2.10.1-7.el7.x86_64 (@anaconda)
              postfix = 2:2.10.1-7.el7
          Update: 2:postfix-3.4.7-1.el7.x86_64 (cwp)
              postfix = 2:3.4.7-1.el7
--skip-broken You can run it in a problematic situation by trying to use it.
You can try running it: rpm -Va --nofiles --nodigest




Offline
***
Re: CWP Update Problem (Postfix)
« Reply #1 on: February 20, 2020, 11:18:40 PM »
There were 2 updates today I think.  make sure you are updating to 942

Offline
*****
Re: CWP Update Problem (Postfix)
« Reply #2 on: February 21, 2020, 09:01:48 AM »
yum remove postfix-perl-scripts

then update again
sh /scripts/update_cwp